> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/mutations/update-incident-indicator.md).

# updateIncidentIndicator

Edit an indicator (version range / fixed versions; re-runs the matcher).

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation UpdateIncidentIndicator($incidentId: String!, $indicatorId: String!, $input: UpdateIndicatorInput!) {
  updateIncidentIndicator(incidentId: $incidentId, indicatorId: $indicatorId, input: $input) {
    cveIds
    hasIndependentSupport
    osvAffectedVersions
    osvAffectedRanges {
      type
      events {
        introduced
        fixed
        last_affected
        limit
      }
    }
    id
    incidentId
    kind
    value
    versionRange
    fixedVersions
    remediationStatus
    remediations {
      cveId
      action
      versions
      source
      vendor
      product
      packageName
      collectionUrl
      versionType
      affectedRange
    }
    isCompromised
    isCompromisedBasis
    infectsOnInstall
    ecosystem
    severity
    cvssScore
    cvssVersion
    epssScore
    epssPercentile
    epssDate
    epssCheckedAt
    cveIntelligence {
      exploitationStatus
      exploitationSource
      hasPublicExploit
      publicExploitLink
      firstReportedExploitationAt
      firstObservedExploitationAt
      kev {
        status
        checkedAt
        catalogFetchedAt
        catalogVersion
        dateReleased
        dateAdded
        dueDate
        requiredAction
        knownRansomwareCampaignUse
      }
      euKev {
        status
        checkedAt
        catalogFetchedAt
        source
        sourceDisplayName
        cve
        euvdId
        dateReported
        originSource
        exploitationTypes
        threatActors
        notes
      }
      articleEvidence {
        sourceUrl
        sourcePublishedAt
        analyzedAt
        analysisVersion
        articleTypes
        classificationConfidence
        claims {
          claimType
          reportingRelationship
          attributedSource
          explicitlyObservedAt
          evidenceExcerpt
          confidence
        }
      }
      vulnCheck {
        status
        dateAdded
        sourceUpdatedAt
        sensorObserved
      }
    }
    cweMetadata {
      status
      cwes
      provenance {
        source
        cwes
      }
      vulnerabilityClass
      vulnerabilityClassSource
      mappingVersion
      resolvedAt
    }
    addedAt
    source
    addedBy
    status
    url
    lastFetchedAt
    autoExpand
    matchState
    activeMatchCount
    isUnpinned
    aiExploitSimulation {
      status
      catalogVersion
      catalogGeneratedAt
      coverage {
        language
        packageName
        logic
        conditions {
          ruleId
          condition
          missingEvidence
          negated
        }
        docs
      }
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "incidentId": "example",
  "indicatorId": "example",
  "input": {
    "versionRange": "example",
    "fixedVersions": ["example"],
    "remediationStatus": "known",
    "remediations": [
      {
        "cveId": "example",
        "action": "upgrade",
        "versions": ["example"],
        "vendor": "example",
        "product": "example",
        "packageName": "example",
        "collectionUrl": "example",
        "versionType": "example",
        "affectedRange": "example"
      }
    ]
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation UpdateIncidentIndicator($incidentId: String!, $indicatorId: String!, $input: UpdateIndicatorInput!) { updateIncidentIndicator(incidentId: $incidentId, indicatorId: $indicatorId, input: $input) { cveIds hasIndependentSupport osvAffectedVersions osvAffectedRanges { type events { introduced fixed last_affected limit } } id incidentId kind value versionRange fixedVersions remediationStatus remediations { cveId action versions source vendor product packageName collectionUrl versionType affectedRange } isCompromised isCompromisedBasis infectsOnInstall ecosystem severity cvssScore cvssVersion epssScore epssPercentile epssDate epssCheckedAt cveIntelligence { exploitationStatus exploitationSource hasPublicExploit publicExploitLink firstReportedExploitationAt firstObservedExploitationAt kev { status checkedAt catalogFetchedAt catalogVersion dateReleased dateAdded dueDate requiredAction knownRansomwareCampaignUse } euKev { status checkedAt catalogFetchedAt source sourceDisplayName cve euvdId dateReported originSource exploitationTypes threatActors notes } articleEvidence { sourceUrl sourcePublishedAt analyzedAt analysisVersion articleTypes classificationConfidence claims { claimType reportingRelationship attributedSource explicitlyObservedAt evidenceExcerpt confidence } } vulnCheck { status dateAdded sourceUpdatedAt sensorObserved } } cweMetadata { status cwes provenance { source cwes } vulnerabilityClass vulnerabilityClassSource mappingVersion resolvedAt } addedAt source addedBy status url lastFetchedAt autoExpand matchState activeMatchCount isUnpinned aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } }",
 "variables": {
    "incidentId": "example",
    "indicatorId": "example",
    "input": {
      "versionRange": "example",
      "fixedVersions": ["example"],
      "remediationStatus": "known",
      "remediations": [
        {
          "cveId": "example",
          "action": "upgrade",
          "versions": ["example"],
          "vendor": "example",
          "product": "example",
          "packageName": "example",
          "collectionUrl": "example",
          "versionType": "example",
          "affectedRange": "example"
        }
      ]
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation UpdateIncidentIndicator($incidentId: String!, $indicatorId: String!, $input: UpdateIndicatorInput!) { updateIncidentIndicator(incidentId: $incidentId, indicatorId: $indicatorId, input: $input) { cveIds hasIndependentSupport osvAffectedVersions osvAffectedRanges { type events { introduced fixed last_affected limit } } id incidentId kind value versionRange fixedVersions remediationStatus remediations { cveId action versions source vendor product packageName collectionUrl versionType affectedRange } isCompromised isCompromisedBasis infectsOnInstall ecosystem severity cvssScore cvssVersion epssScore epssPercentile epssDate epssCheckedAt cveIntelligence { exploitationStatus exploitationSource hasPublicExploit publicExploitLink firstReportedExploitationAt firstObservedExploitationAt kev { status checkedAt catalogFetchedAt catalogVersion dateReleased dateAdded dueDate requiredAction knownRansomwareCampaignUse } euKev { status checkedAt catalogFetchedAt source sourceDisplayName cve euvdId dateReported originSource exploitationTypes threatActors notes } articleEvidence { sourceUrl sourcePublishedAt analyzedAt analysisVersion articleTypes classificationConfidence claims { claimType reportingRelationship attributedSource explicitlyObservedAt evidenceExcerpt confidence } } vulnCheck { status dateAdded sourceUpdatedAt sensorObserved } } cweMetadata { status cwes provenance { source cwes } vulnerabilityClass vulnerabilityClassSource mappingVersion resolvedAt } addedAt source addedBy status url lastFetchedAt autoExpand matchState activeMatchCount isUnpinned aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      incidentId: "example",
      indicatorId: "example",
      input: {
        versionRange: "example",
        fixedVersions: ["example"],
        remediationStatus: "known",
        remediations: [
          {
            cveId: "example",
            action: "upgrade",
            versions: ["example"],
            vendor: "example",
            product: "example",
            packageName: "example",
            collectionUrl: "example",
            versionType: "example",
            affectedRange: "example"
          }
        ]
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation UpdateIncidentIndicator($incidentId: String!, $indicatorId: String!, $input: UpdateIndicatorInput!) { updateIncidentIndicator(incidentId: $incidentId, indicatorId: $indicatorId, input: $input) { cveIds hasIndependentSupport osvAffectedVersions osvAffectedRanges { type events { introduced fixed last_affected limit } } id incidentId kind value versionRange fixedVersions remediationStatus remediations { cveId action versions source vendor product packageName collectionUrl versionType affectedRange } isCompromised isCompromisedBasis infectsOnInstall ecosystem severity cvssScore cvssVersion epssScore epssPercentile epssDate epssCheckedAt cveIntelligence { exploitationStatus exploitationSource hasPublicExploit publicExploitLink firstReportedExploitationAt firstObservedExploitationAt kev { status checkedAt catalogFetchedAt catalogVersion dateReleased dateAdded dueDate requiredAction knownRansomwareCampaignUse } euKev { status checkedAt catalogFetchedAt source sourceDisplayName cve euvdId dateReported originSource exploitationTypes threatActors notes } articleEvidence { sourceUrl sourcePublishedAt analyzedAt analysisVersion articleTypes classificationConfidence claims { claimType reportingRelationship attributedSource explicitlyObservedAt evidenceExcerpt confidence } } vulnCheck { status dateAdded sourceUpdatedAt sensorObserved } } cweMetadata { status cwes provenance { source cwes } vulnerabilityClass vulnerabilityClassSource mappingVersion resolvedAt } addedAt source addedBy status url lastFetchedAt autoExpand matchState activeMatchCount isUnpinned aiExploitSimulation { status catalogVersion catalogGeneratedAt coverage { language packageName logic conditions { ruleId condition missingEvidence negated } docs } } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "incidentId": "example",
      "indicatorId": "example",
      "input": {
        "versionRange": "example",
        "fixedVersions": ["example"],
        "remediationStatus": "known",
        "remediations": [
          {
            "cveId": "example",
            "action": "upgrade",
            "versions": ["example"],
            "vendor": "example",
            "product": "example",
            "packageName": "example",
            "collectionUrl": "example",
            "versionType": "example",
            "affectedRange": "example"
          }
        ]
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `updateIncidentIndicator` mutation.

| Argument                                                                                                                                                                                                            | Description | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| incidentId `String!` <mark style="color:red;background-color:red;">required</mark>                                                                                                                                  |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| indicatorId `String!` <mark style="color:red;background-color:red;">required</mark>                                                                                                                                 |             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| input [`UpdateIndicatorInput!`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/inputs/update-indicator-input.md) <mark style="color:red;background-color:red;">required</mark> |             | <p>versionRange <code>String</code><br>fixedVersions <code>\[String!]</code><br>remediationStatus <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/indicator-remediation-status.md"><code>IndicatorRemediationStatus</code></a><br>remediations <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/inputs/indicator-remediation-input.md"><code>\[IndicatorRemediationInput!]</code></a></p> |

### Fields

Return type: [`Indicator!`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/indicator.md)

You can use the following field(s) to specify what information your `updateIncidentIndicator` mutation will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                                                       | Description                                                                               | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| cveIds `[String!]`                                                                                                                                                          | CVE identifiers explicitly associated with this package scope.                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| hasIndependentSupport `Boolean`                                                                                                                                             | Indicates that the package scope remains supported independently of its linked CVEs.      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| osvAffectedVersions `[String!]`                                                                                                                                             | Exact affected package versions, combined with ranges as a union.                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| osvAffectedRanges [`[OsvAffectedRange!]`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/osv-affected-range.md)                | OSV affected package ranges; absence retains legacy text scope.                           | <p>type <code>String!</code><br>events <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/osv-range-event.md"><code>\[OsvRangeEvent!]!</code></a></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| id `String!`                                                                                                                                                                |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| incidentId `String!`                                                                                                                                                        |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| kind [`IndicatorKind!`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/indicator-kind.md)                                        |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| value `String!`                                                                                                                                                             |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| versionRange `String`                                                                                                                                                       |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| fixedVersions `[String!]!`                                                                                                                                                  |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| remediationStatus [`IndicatorRemediationStatus`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/indicator-remediation-status.md) |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| remediations [`[IndicatorRemediation!]!`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/indicator-remediation.md)             |                                                                                           | <p>cveId <code>String</code><br>action <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/indicator-remediation-action.md"><code>IndicatorRemediationAction!</code></a><br>versions <code>\[String!]!</code><br>source <code>String</code><br>vendor <code>String</code><br>product <code>String</code><br>packageName <code>String</code><br>collectionUrl <code>String</code><br>versionType <code>String</code><br>affectedRange <code>String</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| isCompromised `Boolean`                                                                                                                                                     |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| isCompromisedBasis `String`                                                                                                                                                 |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| infectsOnInstall `Boolean`                                                                                                                                                  |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ecosystem `String`                                                                                                                                                          |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| severity [`IncidentSeverity`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/incident-severity.md)                               |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| cvssScore `Float`                                                                                                                                                           |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| cvssVersion `String`                                                                                                                                                        | CVSS specification version that produced the indicator's CVSS score.                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| epssScore `Float`                                                                                                                                                           | FIRST EPSS probability of exploitation in the next 30 days, from zero to one.             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| epssPercentile `Float`                                                                                                                                                      | FIRST EPSS percentile among scored CVEs, from zero to one.                                |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| epssDate `String`                                                                                                                                                           | FIRST score date in YYYY-MM-DD format.                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| epssCheckedAt `DateTime`                                                                                                                                                    | Last Response Center attempt to check FIRST EPSS for this CVE.                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| cveIntelligence [`CveIntelligence`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/cve-intelligence.md)                        | Response Center-owned exploitation and official KEV intelligence for a CVE indicator.     | <p>exploitationStatus <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/cve-exploitation-status.md"><code>CveExploitationStatus!</code></a><br>exploitationSource <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/cve-exploitation-source.md"><code>CveExploitationSource</code></a><br>hasPublicExploit <code>Boolean</code><br>publicExploitLink <code>String</code><br>firstReportedExploitationAt <code>DateTime</code><br>firstObservedExploitationAt <code>DateTime</code><br>kev <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/cisa-kev-observation.md"><code>CisaKevObservation!</code></a><br>euKev <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/eu-kev-observation.md"><code>EuKevObservation</code></a><br>articleEvidence <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/cve-article-evidence.md"><code>\[CveArticleEvidence!]!</code></a><br>vulnCheck <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/vuln-check-kev-observation.md"><code>VulnCheckKevObservation!</code></a></p> |
| cweMetadata [`CweMetadata`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/cwe-metadata.md)                                    | Response Center-owned CWE resolution and derived vulnerability class for a CVE indicator. | <p>status <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/cwe-metadata-status.md"><code>CweMetadataStatus!</code></a><br>cwes <code>\[String!]!</code><br>provenance <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/cwe-provenance-entry.md"><code>\[CweProvenanceEntry!]!</code></a><br>vulnerabilityClass <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/cve-vulnerability-class.md"><code>CveVulnerabilityClass</code></a><br>vulnerabilityClassSource <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/cwe-source.md"><code>CweSource</code></a><br>mappingVersion <code>String!</code><br>resolvedAt <code>DateTime!</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| addedAt `DateTime!`                                                                                                                                                         |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| source `String!`                                                                                                                                                            |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| addedBy `String`                                                                                                                                                            |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| status `String!`                                                                                                                                                            |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| url `String`                                                                                                                                                                |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| lastFetchedAt `DateTime`                                                                                                                                                    |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| autoExpand `Boolean`                                                                                                                                                        |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| matchState [`IndicatorMatchState`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/indicator-match-state.md)                      |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| activeMatchCount `Int`                                                                                                                                                      |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| isUnpinned `Boolean`                                                                                                                                                        |                                                                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| aiExploitSimulation [`AiExploitSimulation`](https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/ai-exploit-simulation.md)           | Whether the CVE has an OX AI exploit simulation available, and what it checks.            | <p>status <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/enums/ai-exploit-simulation-status.md"><code>AiExploitSimulationStatus!</code></a><br>catalogVersion <code>String</code><br>catalogGeneratedAt <code>DateTime</code><br>coverage <a href="https://docs.ox.security/api-documentation/api-reference/api--response-center/types/objects/ai-exploit-simulation-coverage.md"><code>\[AiExploitSimulationCoverage!]!</code></a></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/mutations/update-incident-indicator.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
